package com.jscape.util.net.ssl;

import javax.net.ssl.X509TrustManager;
import java.security.cert.X509Certificate;

/**
 * @author Alex Usun
 */
public class NullTrustManager
        implements X509TrustManager {

    public X509Certificate[] getAcceptedIssuers() {
        return new X509Certificate[0];
    }

    public void checkClientTrusted(X509Certificate[] x509Certificates, String name) {
        // empty
    }

    public void checkServerTrusted(X509Certificate[] x509Certificates, String name) {
        // empty
    }

}
